Bug 733823 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at (null): TAINTED P------D
Summary: [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at (nu...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:26630a0944292e990c5282afeab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 07:09 UTC by Arun S A G
Modified: 2011-10-12 14:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 12:50:05 UTC


Attachments (Terms of Use)

Description Arun S A G 2011-08-27 07:09:11 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        ro root=UUID=7e5bf2bf-3f8a-4fb0-8934-66101af2d618 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        Open virtualbox -> start a virtualmachine
component:      kernel
kernel:         2.6.40.3-0.fc15.i686.PAE
kernel_tainted: 129
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: unable to handle kernel NULL pointer dereference at   (null)
time:           Sat Aug 27 12:31:58 2011

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at   (null)
:IP: [<fe79ce13>] 0xfe79ce12
:*pdpt = 00000000225fd001 *pde = 00000000b35ee067 
:Oops: 0000 [#1] SMP 
:Modules linked in: vboxnetadp vboxnetflt vboxdrv fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge 8021q garp stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf rfcomm ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 bnep ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack vfat fat btusb bluetooth uvcvideo videodev media virtio_net kvm_intel kvm r8169 intel_ips dell_wmi dell_laptop mii snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc microcode lib80211_crypt_tkip sparse_keymap wl(P) lib80211 rfkill dcdbas joydev i2c_i801 iTCO_wdt iTCO_vendor_support ipv6 usb_storage uas wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 5842, comm: VirtualBox Tainted: P            2.6.40.3-0.fc15.i686.PAE #1 Dell Inc. Vostro 3500/058DK5
:EIP: 0060:[<fe79ce13>] EFLAGS: 00010246 CPU: 3
:EIP is at 0xfe79ce13
:EAX: 00000000 EBX: e4157d94 ECX: fe8bb000 EDX: 00000000
:ESI: 0000280a EDI: fe8bb000 EBP: e4157d74 ESP: e4157d4c
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process VirtualBox (pid: 5842, ti=e4156000 task=e063e500 task.ti=e4156000)
:Stack:
: fe8bb000 e4157d68 0238e82c 00000000 fe8bb000 fe8a0000 e4157db4 00000000
: fee00000 00000001 e4157db4 fe7767d6 e4157d94 fe8bb000 00000000 00000000
: edaf5810 00000000 00000000 00000000 00000000 fe8a0000 c8e493fc 00000000
:Call Trace:
: [<c0412e67>] ? paravirt_write_msr+0x8/0xb
: [<c0413a9d>] ? intel_pmu_enable_all+0x81/0xce
: [<c05a7d7b>] ? avc_has_perm_flags+0x62/0x70
: [<fb103cc4>] ? supdrvIOCtlFast+0x69/0x72 [vboxdrv]
: [<fb10126f>] ? VBoxDrvLinuxIOCtl+0x3f/0x1a4 [vboxdrv]
: [<fb101230>] ? SUPR0Printf+0x65/0x65 [vboxdrv]
: [<c05008d6>] ? do_vfs_ioctl+0x457/0x488
: [<c05aa6fb>] ? selinux_file_ioctl+0xac/0xb0
: [<c050094f>] ? sys_ioctl+0x48/0x69
: [<c08026df>] ? sysenter_do_call+0x12/0x28
: [<c07f007b>] ? setup_APIC_timer+0x5b/0x63
: [<c07f0000>] ? check_tsc_sync_target+0x2f/0x4f
:Code: 00 8d bc 27 00 00 00 00 55 89 e5 53 83 ec 24 8b 55 0c 8b 5d 08 8b 82 dc 36 00 00 85 c0 89 45 f4 74 1d 8b 55 10 83 e2 03 8d 14 d0 <8b> 02 8b 52 04 89 03 89 d8 89 53 04 83 c4 24 5b 5d c2 04 00 8d 
:EIP: [<fe79ce13>] 0xfe79ce13 SS:ESP 0068:e4157d4c
:CR2: 0000000000000000

kernel_tainted_long:
:Proprietary module has been loaded.
:Kernel has oopsed before.

Comment 1 Chuck Ebbert 2011-08-30 12:50:05 UTC
Virtualbox vboxdrv driver is in the call chain, looks like this is a virtualbox bug.

Comment 2 Frank Mehnert 2011-10-12 14:23:51 UTC
Which version of VirtualBox did you use? Any change with VirtualBox 4.1.4?


Note You need to log in before you can comment on or make changes to this bug.